Skip to content

Black Friday:

60% off

Cliedesk Pro

Every plan, every site count. Ends Cyber Monday.

00 days 00 hrs 00 min 00 sec
Claim 60% off

REST API v1

Jobs

Base URL https://your-site.com/wp-json/cliedesk-api/v1. See the overview for keys, scopes and errors.

Change many contacts as a background job

POST /contacts/bulk

Scope contacts:write · Cost 50

Parameters

NameTypeDescription
Idempotency-Key required header · string

Request body (JSON)

NameTypeDescription
contact_ids array of string
conditions string
q string
op required string One of: tag_add, tag_remove, field_set, org_add, segment_add, block, trash
tag_ids array of integer
field_key string
value string | number | boolean
org_id string
segment_id integer
confirm boolean

Change many conversations as a background job

POST /conversations/bulk

Scope conversations:write · Cost 50

Parameters

NameTypeDescription
Idempotency-Key required header · string

Request body (JSON)

NameTypeDescription
conversation_ids array of string
view string
q string
op required string One of: assign, status, priority, tag_add, tag_remove, read, unread, trash, spam, not_spam, reply, note, macro, move
assignee_id integer
team_id string
queue_id integer
status string
priority string One of: none, low, normal, high, urgent
tag_ids array of integer
snooze_until string
snooze_mode string One of: if_no_reply, regardless
html string
saved_reply_ids array of string
confirm boolean

Your background jobs

GET /jobs

Cost 1

Parameters

NameTypeDescription
kind query · string
limit query · integer

Job status and progress

GET /jobs/{id}

Cost 1

Parameters

NameTypeDescription
id required path · string

Result file of a job

GET /jobs/{id}/download

Cost 1

Parameters

NameTypeDescription
id required path · string

Partial-failure report of a job

GET /jobs/{id}/report

Cost 1

Parameters

NameTypeDescription
id required path · string